[Unit]
Description=infobeamer-cms - upload custom info pages to info-beamer
After=network.target

[Service]
Type=exec
Environment=SETTINGS=/opt/infobeamer-cms/settings.toml
Restart=always
RestartSec=5s
ExecStart=/opt/infobeamer-cms/venv/bin/gunicorn frontend:app -b 127.0.0.1:8000 -w ${workers} -t 120 -k gevent --max-requests=1000

# You may have to adjust these settings
User=infobeamer-cms
Group=infobeamer-cms
WorkingDirectory=/opt/infobeamer-cms/src

[Install]
WantedBy=multi-user.target
